from enum import Enum

class ReadCommand(Enum):
    exhaustTemperature = bytes([0x04, 0x04, 0x14, 0x75])
    supplyTemperature = bytes([0x04, 0x04, 0x14, 0x73])
    extractTemperature = bytes([0x04, 0x04, 0x14, 0x74])
    outdoorTemperature = bytes([0x04, 0x04, 0x14, 0x72])
    humidity = bytes([0x01, 0x04, 0x14, 0x70])
    bypass = bytes([0x00, 0x04, 0x14, 0x60])
    filterPercent = bytes([0x01, 0x04, 0x14, 0x6a])
    boost = bytes([0x01, 0x04, 0x15, 0x30])
    supply_fan_speed = bytes([0x00, 0x04, 0x14, 0x50])
    exhaust_fan_speed = bytes([0x00, 0x04, 0x14, 0x51])
    fan_step = bytes([0x00, 0x04, 0x17, 0x81])
    away_mode = bytes([0x01, 0x04, 0x15, 0x22])
    battery_percent = bytes([0x01, 0x04, 0x03, 0x0f])
    automatic_bypass = bytes([0x01, 0x04, 0x17, 0x06])

class UpdateCommand(Enum):
    boost_activate = bytes([0x01, 0x06, 0x15, 0x30, 0x01])
    boost_deactivate = bytes([0x01, 0x06, 0x15, 0x30, 0x00])
    bypass_activate = bytes([0x00, 0x06, 0x14, 0x60, 0x01])
    bypass_deactivate = bytes([0x00, 0x06, 0x14, 0x60, 0x00])
    automatic_bypass_deactivate = bytes([0x01, 0x06, 0x17, 0x06, 0x01])
    automatic_bypass_activate = bytes([0x01, 0x06, 0x17, 0x06, 0x00])
